trinity-devel@lists.pearsoncomputing.net

Message: previous - next
Month: January 2016

Re: [trinity-devel] pytdeextensions FTBFS on debian stretch due to lack of 'python-support' package

From: Slávek Banko <slavek.banko@...>
Date: Sat, 30 Jan 2016 15:06:47 +0100
On Saturday 30 of January 2016 12:58:38 Michele Calgaro wrote:
> > Ok, thanks Michele. I'll look at the logic of the 'rules' file and see if
> > I can adapt it to use dh_python2 instead of dh_support.
>
> That would be great. If that is the only problem, probably a single line
> change may be enough :-)
>
> > As an aside, 'tde-i18n' also fails for me here on stretch but I haven't
> > looked at why.
>
> Lately there have been a few packages FTBFS in stretch. Slavek have fixed
> some, others are still open. I am tied up with work and another issue in
> stretch (adept non functioning). After that I have to start a new rebuild
> since the last one I did was more than a month ago.

It's nice to see how Stretch is a moving target. Just last week I was doing a 
complete rebuild and deal with a few minor problems. A week later, it is 
again a couple of things differently :)

It seems that it will be necessary to examine all packages that have 
dependency on python-support (some already with an alternative to dh-python):

+ sip4-tqt
+ python-tqt
+ tdebinding
+ pytdeextensions
+ desktop-effects-tde
+ fusion-icon
+ tde-guidance

I'll see if I can find enough time for this during the weekend.

-- 
Slávek